<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<!--
IGAC proyecto SNC

@author 		javier.aponte
@version		2.0
@description 	Pantalla que permite ingresar los datos correspondientes 
                a proyecto bodega para registrar 
                ofertas inmobiliarias de proyectos
                CU-SA-AC-077 Registrar Ofertas Inmobiliarias de Proyectos
                Todos los id's de los componentes terminan en B: Bodega
@cu 			CU-AV-O-01
@param			proyectoBodegaParam: 	Objeto de tipo OfertaInmobiliaria que almacenará los 
                valores de todo el formulario. 
@param			currentManagedBeanParam:  MB que contiene las opciones de registro de oferta 
                inmobiliaria

-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" id="proyectoBodegaId"
             rendered="#{currentManagedBeanParam.banderaBodega}" columns="1">

    <h:panelGrid columns="6" cellspacing="7"
                 columnClasses="colMediana, colPequena, colSeparador, colMediana, colPequena, colSeparador">

        <h:outputLabel value="Tipo inmueble:" for="tipoInmuebleB"
                       rendered="#{currentManagedBeanParam.banderaOfertaNueva}"
                       styleClass="outputLabelStyle" />
        <h:outputText id="tipoInmuebleB" 
                      rendered="#{currentManagedBeanParam.banderaOfertaNueva}"
                      value="#{currentManagedBeanParam.selectedOfertaInmobiliaria.tipoInmueble}" />
        <p:spacer rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />

        <p:spacer rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />
        <p:spacer rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />
        <p:spacer rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />

        <h:panelGroup>
            <h:outputLabel value="Área construcción / área privada (m2):"
                           for="areaConstruccionAreaPrivadaB" styleClass="outputLabelStyle" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
        </h:panelGroup>
        <h:panelGrid columns="2" cellspacing="0">
            <h:inputText id="areaConstruccionAreaPrivadaB" maxlength="10"
                         label="Área Construcción / Área Privada"
                         value="#{proyectoBodegaParam.areaConstruccion}" required="true">
                <f:validateDoubleRange minimum="1.0" />
            </h:inputText>
            <p:message for="areaConstruccionAreaPrivadaB" display="icon" />
        </h:panelGrid>
        <p:spacer />

        <h:panelGroup
            rendered="#{!currentManagedBeanParam.banderaPropiedadHorizontal}">
            <h:outputLabel value="Área terreno (m2):" for="areaTerrenoB"
                           styleClass="outputLabelStyle" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
        </h:panelGroup>
        <h:panelGrid columns="2" cellspacing="0"
                     rendered="#{!currentManagedBeanParam.banderaPropiedadHorizontal}">
            <h:inputText id="areaTerrenoB" maxlength="10" label="Área Terreno"
                         value="#{proyectoBodegaParam.areaTerreno}" required="true">
                <f:validateDoubleRange minimum="1.0" />
            </h:inputText>
            <p:message for="areaTerrenoB" display="icon" />
        </h:panelGrid>
        <p:spacer
            rendered="#{!currentManagedBeanParam.banderaPropiedadHorizontal}" />

        <p:spacer
            rendered="#{currentManagedBeanParam.banderaPropiedadHorizontal}" />
        <p:spacer
            rendered="#{currentManagedBeanParam.banderaPropiedadHorizontal}" />
        <p:spacer
            rendered="#{currentManagedBeanParam.banderaPropiedadHorizontal}" />

        <h:outputLabel value="Área total construida (catastral) (m2):"
                       for="areaTotalConstruidaB" styleClass="outputLabelStyle"
                       rendered="#{!currentManagedBeanParam.banderaOfertaNueva}" />
        <h:outputText id="areaTotalConstruidaB" 
                      value="#{proyectoBodegaParam.areaTotalConstruccionCata}"
                      rendered="#{!currentManagedBeanParam.banderaOfertaNueva}" />
        <p:spacer rendered="#{!currentManagedBeanParam.banderaOfertaNueva}" />

        <h:outputLabel value="Área total terreno (catastral) (m2):"
                       for="areaTotalTerrenoB" styleClass="outputLabelStyle"
                       rendered="#{!currentManagedBeanParam.banderaOfertaNueva}" />
        <h:outputText id="areaTotalTerrenoB" 
                      value="#{proyectoBodegaParam.areaTotalTerrenoCatastral}"
                      rendered="#{!currentManagedBeanParam.banderaOfertaNueva}" />
        <p:spacer rendered="#{!currentManagedBeanParam.banderaOfertaNueva}" />

        <h:panelGroup>
            <h:outputLabel value="Tipo bodega:" for="tipoBodegaB"
                           styleClass="outputLabelStyle" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
        </h:panelGroup>
        <h:panelGrid columns="2" cellspacing="0">
            <h:selectOneMenu id="tipoBodegaB" label="Tipo Bodega"
                             value="#{proyectoBodegaParam.tipoBodega}" required="true">
                <f:selectItem itemLabel="Seleccionar..." />
                <f:selectItems value="#{general.ofertaTipoBodegaV}" />
            </h:selectOneMenu>
            <p:message for="ubicacionBodegaB" display="icon" />
        </h:panelGrid>
        <p:spacer />

        <h:panelGroup>
            <h:outputLabel value="Ubicación bodega:" for="ubicacionBodegaB"
                           styleClass="outputLabelStyle" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
        </h:panelGroup>
        <h:panelGrid columns="2" cellspacing="0">
            <h:selectOneMenu id="ubicacionBodegaB" label="Ubicación Bodega"
                             value="#{proyectoBodegaParam.ubicacionBodega}" required="true">
                <f:selectItem itemLabel="Seleccionar..." />
                <f:selectItems value="#{general.ofertaUbicacionBodegaV}" />
            </h:selectOneMenu>
            <p:message for="ubicacionBodegaB" display="icon" />
        </h:panelGrid>
        <p:spacer />

        <h:outputLabel value="Zona franca:" for="zonaFrancaB"
                       styleClass="outputLabelStyle" />
        <h:selectBooleanCheckbox id="zonaFrancaB"
                                 value="#{currentManagedBeanParam.zonaFranca}" />
        <p:spacer />

        <h:outputLabel value="No. oficinas:" for="numeroOficinasB"
                       styleClass="outputLabelStyle" />
        <h:inputText id="numeroOficinasB" maxlength="4" label="No. Oficinas"
                     value="#{proyectoBodegaParam.numeroOficinas}" />
        <p:spacer />

        <h:outputLabel value="No. parqueaderos:" for="numeroParqueaderosB"
                       styleClass="outputLabelStyle" />
        <h:inputText id="numeroParqueaderosB" maxlength="4"
                     label="No. Parqueaderos"
                     value="#{proyectoBodegaParam.numeroParqueaderos}" />
        <p:spacer />

        <h:outputLabel value="No. depósitos:" for="numeroDepositosB"
                       styleClass="outputLabelStyle" />
        <h:inputText id="numeroDepositosB" maxlength="4" label="No. Depósitos"
                     value="#{proyectoBodegaParam.numeroDepositos}" />
        <p:spacer />

        <h:outputLabel value="No. cocinas:" for="numeroCocinasB"
                       styleClass="outputLabelStyle" />
        <h:inputText id="numeroCocinasB" maxlength="4" label="No. Cocinas"
                     value="#{proyectoBodegaParam.numeroCocinas}" />
        <p:spacer />

        <h:outputLabel value="No. baños:" for="numeroBaniosB"
                       styleClass="outputLabelStyle" />
        <h:inputText id="numeroBaniosB" maxlength="4" label="No. Baños"
                     value="#{proyectoBodegaParam.numeroBanios}" />
        <p:spacer />

        <h:outputLabel value="Tipo cercha:" for="tipoCerchaB"
                       styleClass="outputLabelStyle" />
        <h:selectOneMenu id="tipoCerchaB" label="Tipo Cercha"
                         value="#{proyectoBodegaParam.tipoCercha}">
            <f:selectItem itemLabel="Seleccionar..." />
            <f:selectItems value="#{general.ofertaTipoCerchaV}" />
        </h:selectOneMenu>
        <p:spacer />


        <h:outputLabel value="Mezzanine:" for="mezzanineB"
                       styleClass="outputLabelStyle" />
        <h:selectBooleanCheckbox id="mezzanineB"
                                 value="#{currentManagedBeanParam.mezzanine}" />
        <p:spacer />


        <h:outputLabel value="Tipo parqueadero:" for="tipoParqueaderoB"
                       styleClass="outputLabelStyle"
                       rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />
        <h:selectOneMenu id="tipoParqueaderoB" label="Tipo Parqueadero"
                         value="#{proyectoBodegaParam.tipoParqueadero}"
                         rendered="#{currentManagedBeanParam.banderaOfertaNueva}">
            <f:selectItems value="#{general.ofertaTipoParqueaderoV}" />
        </h:selectOneMenu>
        <p:spacer rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />

        <h:outputLabel value="Puente grúa:" for="puenteGruaB"
                       styleClass="outputLabelStyle" />
        <h:selectBooleanCheckbox id="puenteGruaB"
                                 value="#{currentManagedBeanParam.puenteGrua}" />
        <p:spacer />

        <h:panelGroup>
            <h:outputLabel value="Altura: " styleClass="outputLabelStyle" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
        </h:panelGroup>
        <h:selectOneMenu id="alturaB" label="Altura"
                         value="#{proyectoBodegaParam.altura}" required="true">
            <f:selectItem itemLabel="Seleccionar..." />
            <f:selectItems value="#{general.ofertaAlturaV}" />
            <p:message for="alturaB" display="icon" />
        </h:selectOneMenu>
        <p:spacer />

        <h:panelGroup>
            <h:outputLabel value="Valor pedido:" for="valorPedidoB"
                           styleClass="outputLabelStyle"
                           rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle"
                           rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />
        </h:panelGroup>
        <h:panelGrid columns="2" cellspacing="0">
            <h:inputText id="valorPedidoB" maxlength="16" label="Valor Pedido"
                         value="#{proyectoBodegaParam.valorPedido}"
                         rendered="#{currentManagedBeanParam.banderaOfertaNueva}"
                         required="true">
                <f:validateDoubleRange minimum="1.0" for="valorPedidoB" />
                <f:converter converterId="converterMoneda" />
                <p:ajax event="blur"
                        onstart="aplicarFormatoMoneda('proyectoBodegaForm:valorPedidoB',true);" />
                <p:ajax event="focus"
                        onstart="aplicarFormatoMoneda('proyectoBodegaForm:valorPedidoB',false);" />
            </h:inputText>
            <p:message for="valorPedidoB" display="icon"
                       rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />
        </h:panelGrid>
        <p:spacer rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />

        <h:outputLabel value="Valor arriendo:" for="valorArriendoB"
                       styleClass="outputLabelStyle"
                       rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />
        <h:inputText id="valorArriendoB" maxlength="16" label="Valor Arriendo"
                     value="#{proyectoBodegaParam.valorArriendo}"
                     rendered="#{currentManagedBeanParam.banderaOfertaNueva}">
            <f:converter converterId="converterMoneda" />
            <p:ajax event="blur"
                    onstart="aplicarFormatoMoneda('proyectoBodegaForm:valorArriendoB',true);" />
            <p:ajax event="focus"
                    onstart="aplicarFormatoMoneda('proyectoBodegaForm:valorArriendoB',false);" />
        </h:inputText>
        <p:spacer rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />

        <h:outputLabel value="Valor depósitos:" for="valorDepositosB"
                       styleClass="outputLabelStyle"
                       rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />
        <h:inputText id="valorDepositosB" maxlength="16"
                     label="Valor Depósitos" value="#{proyectoBodegaParam.valorDepositos}"
                     rendered="#{currentManagedBeanParam.banderaOfertaNueva}">
            <f:converter converterId="converterMoneda" />
            <p:ajax event="blur"
                    onstart="aplicarFormatoMoneda('proyectoBodegaForm:valorDepositosB',true);" />
            <p:ajax event="focus"
                    onstart="aplicarFormatoMoneda('proyectoBodegaForm:valorDepositosB',false);" />
        </h:inputText>
        <p:spacer rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />

        <h:outputLabel value="Valor parqueaderos:" for="valorParqueaderosB"
                       styleClass="outputLabelStyle"
                       rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />
        <h:inputText id="valorParqueaderosB" maxlength="16"
                     label="Valor Parqueaderos"
                     value="#{proyectoBodegaParam.valorParqueaderos}"
                     rendered="#{currentManagedBeanParam.banderaOfertaNueva}">
            <f:converter converterId="converterMoneda" />
            <p:ajax event="blur"
                    onstart="aplicarFormatoMoneda('proyectoBodegaForm:valorParqueaderosB',true);" />
            <p:ajax event="focus"
                    onstart="aplicarFormatoMoneda('proyectoBodegaForm:valorParqueaderosB',false);" />
        </h:inputText>
        <p:spacer rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />

        <h:outputLabel value="Valor administración:"
                       for="valorAdministracionB" styleClass="outputLabelStyle"
                       rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />
        <h:inputText id="valorAdministracionB" maxlength="16"
                     label="Valor Administración"
                     value="#{proyectoBodegaParam.valorAdministracion}"
                     rendered="#{currentManagedBeanParam.banderaOfertaNueva}">
            <f:converter converterId="converterMoneda" />
            <p:ajax event="blur"
                    onstart="aplicarFormatoMoneda('proyectoBodegaForm:valorAdministracionB',true);" />
            <p:ajax event="focus"
                    onstart="aplicarFormatoMoneda('proyectoBodegaForm:valorAdministracionB',false);" />
        </h:inputText>
        <p:spacer rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />

        <p:spacer rendered="#{!currentManagedBeanParam.banderaOfertaNueva}" />

    </h:panelGrid>
</h:panelGrid>